<?php
session_start();
require("../../database/dbConection.php");
$usuarioLogado = $_SESSION['idUsuarioLogado'];

$opcaoAfastammento      = $_POST['opcaoAfastammento'];
$idAfastamento          = $_POST['idAfastamento'];
$idUnidade              = $_POST['idUnidade'];
$existeAgendamento      = "nãoExisteAgendamento";
$htmlRetorno            = "";

switch ($opcaoAfastammento) {

  case "profissional":
    $idProfissional         = $_POST['idProfissional'];
    $campoProcedimentoGrupo = $_POST['tipoProcedimentoGrupo'] == "GRUPO" ? "id_grupo_procedimento" : "id_procedimento";
    $tipoProcedimentoGrupo  = $_POST['tipoProcedimentoGrupo'];
    $idProcedimentoGrupo    = $_POST['idProcedimentoGrupo'];
    $dataInicial            = $_POST['dataInicial'];
    $dataFinal              = $_POST['dataFinal'];
    $horaInicial            = $_POST['horaInicial'];
    $horaFinal              = $_POST['horaFinal'];    
    $motivoAfastamento      = $_POST['motivoAfastamento'];

    //VERIFICAR SE JÁ EXISTE AFASTAMENTO REGISTRADO
    $sqlAfastamentoExistente = "SELECT id_afastamento_profissional 
    FROM reg_tb_afastamento_profissional
    WHERE (codigoestabelecimento_cnes='$idUnidade')
    AND (codigoprofissional_cnes='$idProfissional')
    AND (id_procedimento='$idProcedimentoGrupo')
    AND ((datainicio_afastamento>='$dataInicial' and datainicio_afastamento<='$dataFinal') OR (datafim_afastamento>='$dataInicial' and datafim_afastamento<='$dataFinal'))
    AND ((horainicio_afastamento>='$horaInicial' and horainicio_afastamento<='$horaInicial') OR (horafim_afastamento>='$horaFinal' and horafim_afastamento<='$horaFinal'))";
    $stmAfastamentoExistente  = $rsConexao->prepare($sqlAfastamentoExistente);
    $stmAfastamentoExistente->execute();
    if ($stmAfastamentoExistente->rowCount() > 0 && $idAfastamento == "") {
      echo "JaExiste&&&00";
      exit;
    }
    //VERIFICAR SE JÁ EXISTE PACIENTE AGENDADO
    $sqlExisteAgendamento = "SELECT id_agendamento
    FROM reg_tb_agendamentos
    INNER JOIN reg_tb_agenda ON (reg_tb_agendamentos.id_agenda = reg_tb_agenda.id_agenda)
    WHERE (reg_tb_agenda.codigoestabelecimento_cnes='$idUnidade') 
    AND (reg_tb_agenda.codigoprofissional_cnes='$idProfissional')
    AND (date_format(reg_tb_agendamentos.data_atendimento,'%Y-%m-%d') BETWEEN '$dataInicial' and '$dataFinal')";

    $stmExisteAgendamento = $rsConexao->prepare($sqlExisteAgendamento);
    $stmExisteAgendamento->execute();

    if ($stmExisteAgendamento->rowCount() > 0) {
      $existeAgendamento = "existeAgendamento";
    }

    if ($idAfastamento == "") {
      $sqlAfastamento  =  "INSERT INTO reg_tb_afastamento_profissional(
        codigoestabelecimento_cnes,
        codigoprofissional_cnes,
        afatasmento_grupo_procedimento,
        $campoProcedimentoGrupo,
        datainicio_afastamento,
        datafim_afastamento,
        horainicio_afastamento,
        horafim_afastamento,
        motivo_afastamento,
        id_usuario_cadastrou
      ) VALUES (
        :setEstabelecimento,
        :setProfissional,
        :setGrupoProcedimento,
        :setIdGrupoProcedimento,
        :setDataInicio,
        :setDataFim,
        :setHoraInicio,
        :setHoraFim,
        :setMotivoAfastamento,
        :setIdUsuario
      )";
    } else {
      $stmRemoveProcedimento = $rsConexao->prepare("UPDATE reg_tb_afastamento_profissional SET id_procedimento=null WHERE id_afastamento_profissional='$idAfastamento'");
      $stmRemoveProcedimento ->execute();
      $sqlAfastamento = "UPDATE reg_tb_afastamento_profissional SET
      codigoestabelecimento_cnes=:setEstabelecimento,
      codigoprofissional_cnes=:setProfissional,
      afatasmento_grupo_procedimento=:setGrupoProcedimento,
      $campoProcedimentoGrupo=:setIdGrupoProcedimento,
      datainicio_afastamento=:setDataInicio,
      datafim_afastamento=:setDataFim,
      horainicio_afastamento=:setHoraInicio,
      horafim_afastamento=:setHoraFim,
      motivo_afastamento=:setMotivoAfastamento,
      id_usuario_cadastrou=:setIdUsuario
      WHERE id_afastamento_profissional='$idAfastamento'";
    }

    $stmAfastamento  = $rsConexao->prepare($sqlAfastamento);
    $stmAfastamento->bindParam(":setEstabelecimento", $idUnidade, PDO::PARAM_STR);
    $stmAfastamento->bindParam(":setProfissional", $idProfissional, PDO::PARAM_STR);
    $stmAfastamento->bindParam(":setGrupoProcedimento", $tipoProcedimentoGrupo, PDO::PARAM_STR);
    $stmAfastamento->bindParam(":setIdGrupoProcedimento", $idProcedimentoGrupo, PDO::PARAM_STR);
    $stmAfastamento->bindParam(":setDataInicio", $dataInicial, PDO::PARAM_STR);
    $stmAfastamento->bindParam(":setDataFim", $dataFinal, PDO::PARAM_STR);
    $stmAfastamento->bindParam(":setHoraInicio", $horaInicial, PDO::PARAM_STR);
    $stmAfastamento->bindParam(":setHoraFim", $horaFinal, PDO::PARAM_STR);    
    $stmAfastamento->bindParam(":setMotivoAfastamento", $motivoAfastamento, PDO::PARAM_STR);
    $stmAfastamento->bindParam(":setIdUsuario", $usuarioLogado, PDO::PARAM_STR);
    $stmAfastamento->execute();

    if ($idAfastamento == "") {
      $idAfastamentoCadastrado  = $rsConexao->lastInsertId();
    } else {
      $idAfastamentoCadastrado  = $idAfastamento;
    }
    # --  carregar lista atualizada -- #
    $sqlAfastamento	= "SELECT reg_tb_afastamento_profissional.id_afastamento_profissional,
    tb_profissional.codigoprofissional_cnes,
    tb_profissional.nome_profissional,      
    tb_estabelecimento.codigoestabelecimento_cnes,
    tb_estabelecimento.nfantasia_estabelecimento,
    reg_tb_procedimento_grupo.nome_grupo_procedimento,
    reg_tb_procedimento.nome_procedimento,
    reg_tb_afastamento_profissional.id_grupo_procedimento,
    reg_tb_afastamento_profissional.id_procedimento,
    reg_tb_afastamento_profissional.datainicio_afastamento,
    reg_tb_afastamento_profissional.datafim_afastamento,      
    date_format(reg_tb_afastamento_profissional.datainicio_afastamento,'%d/%m/%Y') as dataInicioAfastamento,
    date_format(reg_tb_afastamento_profissional.datafim_afastamento,'%d/%m/%Y') as dataFimAfastamento,
    date_format(reg_tb_afastamento_profissional.datafim_afastamento,'%Y-%m-%d') as dataFimValidacao,
    date_format(reg_tb_afastamento_profissional.datahora_cadastro,'%d/%m/%Y %H:%i') as dataRegistro,
    date_format(reg_tb_afastamento_profissional.horainicio_afastamento,'%H:%i') AS horaInicioAfastamento,
    date_format(reg_tb_afastamento_profissional.horafim_afastamento,'%H:%i') AS horaFimAfastamento,
    reg_tb_afastamento_profissional.motivo_afastamento
    FROM reg_tb_afastamento_profissional
    INNER JOIN tb_estabelecimento ON (reg_tb_afastamento_profissional.codigoestabelecimento_cnes = tb_estabelecimento.codigoestabelecimento_cnes)
    INNER JOIN tb_profissional ON (reg_tb_afastamento_profissional.codigoprofissional_cnes = tb_profissional.codigoprofissional_cnes)
    LEFT OUTER JOIN reg_tb_procedimento_grupo ON (reg_tb_afastamento_profissional.id_grupo_procedimento = reg_tb_procedimento_grupo.id_grupo_procedimento)
    LEFT OUTER JOIN reg_tb_procedimento ON (reg_tb_afastamento_profissional.id_procedimento = reg_tb_procedimento.id_procedimento)
    WHERE (tb_estabelecimento.codigoestabelecimento_cnes='$idUnidade') AND (tb_profissional.codigoprofissional_cnes='$idProfissional')
    ORDER BY reg_tb_afastamento_profissional.datafim_afastamento DESC";

    $stmAfastamento	= $rsConexao->prepare($sqlAfastamento);
    $stmAfastamento	->execute();
    if($stmAfastamento->rowCount()>0){
      $rsAfastamento	= $stmAfastamento->fetchAll(PDO::FETCH_ASSOC);
      foreach($rsAfastamento as $fieldAfastamento){
        $idAfastamento        = $fieldAfastamento['id_afastamento_profissional'];
        $idProfissionalEditar = mb_strtoupper($fieldAfastamento['codigoprofissional_cnes']);
        $nomeProfissional     = mb_strtoupper($fieldAfastamento['nome_profissional']);
        $idUnidadeEditar      = mb_strtoupper($fieldAfastamento['codigoestabelecimento_cnes']);
        $nomeUnidade          = mb_strtoupper($fieldAfastamento['nfantasia_estabelecimento']);
        $esconderComando      = $fieldAfastamento['dataFimValidacao']<date("Y-m-d") ? "style='display:none'" : "";
        $corFundoDatafinal    = $fieldAfastamento['dataFimValidacao']<date("Y-m-d") ? "style='background-color: #e2aaaa !important; color: #700000'" : "";
        $nomeProcedimentoGrupo  = $fieldAfastamento['nome_procedimento']!="" ? mb_strtoupper($fieldAfastamento['nome_procedimento']) : mb_strtoupper($fieldAfastamento['nome_grupo_procedimento']);
        $idProcedimentoGrupoEditar  = $fieldAfastamento['id_procedimento']!="" ? "PROCEDIMENTO##".$fieldAfastamento['id_procedimento'] : "GRUPO##".$fieldAfastamento['id_grupo_procedimento'];          
        $dataInicioEditar = $fieldAfastamento['datainicio_afastamento'];
        $dataFimEditar    = $fieldAfastamento['datafim_afastamento'];
        $dataInicioAfastamento  = $fieldAfastamento['dataInicioAfastamento'];
        $motivoAfastamento      = mb_strtoupper($fieldAfastamento['motivo_afastamento']);
        $dataFimAfastamento     = $fieldAfastamento['dataFimAfastamento'];
        $intervaloAfastamento   = "das " . $fieldAfastamento['horaInicioAfastamento'] . " às " .$fieldAfastamento['horaFimAfastamento'];
        $horaInicioAfastamento  = $fieldAfastamento['horaInicioAfastamento'];
        $horaFimAfastamento     = $fieldAfastamento['horaFimAfastamento'];
        $dataRegistro           = $fieldAfastamento['dataRegistro'];

        $linkEditarAfastamento	= '"editarAfastamento(' . "'$idAfastamento%%$idUnidadeEditar%%$idProfissionalEditar%%$idProcedimentoGrupoEditar%%$dataInicioEditar%%$dataFimEditar%%$horaInicioAfastamento%%$horaFimAfastamento%%$motivoAfastamento')" . '"';
        $linkExcluirAfastamento	= '"excluirAfastamento(' . "'$idAfastamento','$idUnidadeEditar','$idProfissionalEditar')" . '"';
        $htmlRetorno .= "<tr>
          <td style='text-align:center'>
            <i class='icofont icofont-edit nova_fonte' title='Editar registro de Afastamento.' $esconderComando onclick=$linkEditarAfastamento></i>&nbsp;
            <i class='icofont icofont-close-squared nova_fonte_delete' title='Excluir registro de Afastamento.' $esconderComando  onclick=$linkExcluirAfastamento></i>
          </td>
          <td>$nomeProfissional</td>
          <td>$nomeUnidade</td>
          <td>$nomeProcedimentoGrupo</td>
          <td align='center'>$dataInicioAfastamento</td>
          <td align='center' $corFundoDatafinal>$dataFimAfastamento</td>
          <td align='center'>$intervaloAfastamento</td>
          <td>$motivoAfastamento</td>
          <td style='text-align:center'>$dataRegistro</td>
        </tr>";
      }
    }
    # -- ATUALIZAR AFASTAMENTO DO PROFISSIONAL NA AGENDA -- #
    $sqlAtualizaAgenda = "UPDATE reg_tb_agenda_sub 
      INNER JOIN reg_tb_agenda ON (reg_tb_agenda_sub.id_agenda = reg_tb_agenda.id_agenda) 
      SET reg_tb_agenda_sub.profissional_afastado = 'N' 
      WHERE (reg_tb_agenda_sub.id_afastamento='$idAfastamentoCadastrado')";
    $stmAtualizaAgenda  = $rsConexao->prepare($sqlAtualizaAgenda);
    $stmAtualizaAgenda->execute();
    $stmAtualizaAgenda->closeCursor();

    $sqlAtualizaAgenda = "UPDATE reg_tb_agenda_sub 
      INNER JOIN reg_tb_agenda ON (reg_tb_agenda_sub.id_agenda = reg_tb_agenda.id_agenda) 
      SET reg_tb_agenda_sub.profissional_afastado = 'S', reg_tb_agenda_sub.id_afastamento='$idAfastamentoCadastrado'
      WHERE (reg_tb_agenda.codigoestabelecimento_cnes='$idUnidade') 
      AND (reg_tb_agenda.codigoprofissional_cnes='$idProfissional')
      AND (reg_tb_agenda.$campoProcedimentoGrupo='$idProcedimentoGrupo')
      AND ((concat(reg_tb_agenda_sub.ano_agenda,'-',lpad(reg_tb_agenda_sub.mes_agenda,2,'0'),'-',lpad(reg_tb_agenda_sub.dia_agenda,2,'0')) BETWEEN '$dataInicial' AND '$dataFinal')
      AND ((reg_tb_agenda_sub.horario_inicioagenda BETWEEN '$horaInicial' AND '$horaFinal') or (reg_tb_agenda_sub.horario_finalagenda BETWEEN '$horaInicial' AND '$horaFinal')))
      AND reg_tb_agenda_sub.status_agenda='A'";
      //file_put_contents('sqlTeste.sql', $sqlAtualizaAgenda);  
    $stmAtualizaAgenda  = $rsConexao->prepare($sqlAtualizaAgenda);
    $stmAtualizaAgenda->execute();
    //**************************************************** */
    echo "$existeAgendamento&&&$htmlRetorno";
    break;

  case "unidade-saude":

    $dataInicial        = $_POST['dataInicial'];
    $dataFinal          = $_POST['dataFinal'];
    $horaInicial        = $_POST['horaInicial'];
    $horaFinal          = $_POST['horaFinal'];   
    $motivoAfastamento  = $_POST['motivoAfastamento'];

    //VERIFICAR SE JÁ EXISTE AFASTAMENTO REGISTRADO
    $sqlAfastamentoExistente = "SELECT id_afastamento_unidade 
    FROM reg_tb_afastamento_unidade
    WHERE (codigoestabelecimento_cnes='$idUnidade')
    AND ((datainicio_afastamento>='$dataInicial' and datainicio_afastamento<='$dataFinal') OR (datafim_afastamento>='$dataInicial' and datafim_afastamento<='$dataFinal'))";
    $stmAfastamentoExistente  = $rsConexao->prepare($sqlAfastamentoExistente);
    $stmAfastamentoExistente->execute();
    if ($stmAfastamentoExistente->rowCount() > 0 && $idAfastamento == "") {
      echo "JaExiste&&&00";
      exit;
    }
    //VERIFICAR SE JÁ EXISTE PACIENTE AGENDADO
    $sqlExisteAgendamento = "SELECT id_agendamento
    FROM reg_tb_agendamentos
    INNER JOIN reg_tb_agenda ON (reg_tb_agendamentos.id_agenda = reg_tb_agenda.id_agenda)
    WHERE (reg_tb_agenda.codigoestabelecimento_cnes='$idUnidade') 
    AND (date_format(reg_tb_agendamentos.data_atendimento,'%Y-%m-%d') BETWEEN '$dataInicial' and '$dataFinal')";

    $stmExisteAgendamento = $rsConexao->prepare($sqlExisteAgendamento);
    $stmExisteAgendamento->execute();

    if ($stmExisteAgendamento->rowCount() > 0) {
      $existeAgendamento = "existeAgendamento";
    }

    if ($idAfastamento == "") {
      $sqlAfastamento  =  "INSERT INTO reg_tb_afastamento_unidade(
        codigoestabelecimento_cnes,
        datainicio_afastamento,
        datafim_afastamento,
        horainicio_afastamento,
        horafim_afastamento,
        motivo_afastamento,
        id_usuario_cadastrou
      ) VALUES (
        :setEstabelecimento,
        :setDataInicio,
        :setDataFim,
        :setHoraInicio,
        :setHoraFim,
        :setMotivoAfastamento,
        :setIdUsuario
      )";
    } else {
      $sqlAfastamento = "UPDATE reg_tb_afastamento_unidade SET
      codigoestabelecimento_cnes=:setEstabelecimento,
      datainicio_afastamento=:setDataInicio,
      datafim_afastamento=:setDataFim,
      horainicio_afastamento=:setHoraInicio,
      horafim_afastamento=:setHoraFim,      
      motivo_afastamento=:setMotivoAfastamento,
      id_usuario_cadastrou=:setIdUsuario
      WHERE id_afastamento_unidade='$idAfastamento'";
    }

    $stmAfastamento  = $rsConexao->prepare($sqlAfastamento);
    $stmAfastamento->bindParam(":setEstabelecimento", $idUnidade, PDO::PARAM_STR);
    $stmAfastamento->bindParam(":setDataInicio", $dataInicial, PDO::PARAM_STR);
    $stmAfastamento->bindParam(":setDataFim", $dataFinal, PDO::PARAM_STR);
    $stmAfastamento->bindParam(":setHoraInicio", $horaInicial, PDO::PARAM_STR);
    $stmAfastamento->bindParam(":setHoraFim", $horaFinal, PDO::PARAM_STR);    
    $stmAfastamento->bindParam(":setMotivoAfastamento", $motivoAfastamento, PDO::PARAM_STR);
    $stmAfastamento->bindParam(":setIdUsuario", $usuarioLogado, PDO::PARAM_STR);
    $stmAfastamento->execute();

    if ($idAfastamento == "") {
      $idAfastamentoCadastrado  = $rsConexao->lastInsertId();
    } else {
      $idAfastamentoCadastrado  = $idAfastamento;
    }

    # --  carregar lista atualizada -- #
    $sqlAfastramento  = "SELECT reg_tb_afastamento_unidade.id_afastamento_unidade,
    tb_estabelecimento.codigoestabelecimento_cnes,
    ucase(tb_estabelecimento.nfantasia_estabelecimento) AS nomeUnidade,
    date_format(reg_tb_afastamento_unidade.datainicio_afastamento,'%d/%m/%Y') AS inicioAfastramento,
    date_format(reg_tb_afastamento_unidade.datafim_afastamento,'%d/%m/%Y') AS fimAfastramento,
    reg_tb_afastamento_unidade.datainicio_afastamento,
    date_format(reg_tb_afastamento_unidade.datafim_afastamento,'%Y-%m-%d') as dataFimValidacao,
    reg_tb_afastamento_unidade.datafim_afastamento,
    ucase(reg_tb_afastamento_unidade.motivo_afastamento) AS motivoAfastamento,
    date_format(reg_tb_afastamento_unidade.horainicio_afastamento,'%H:%i') AS horaInicioAfastamento,
     date_format(reg_tb_afastamento_unidade.horafim_afastamento,'%H:%i') AS horaFimAfastamento,    
    date_format(reg_tb_afastamento_unidade.datahora_cadastro,'%d/%m/%Y') AS dataHoraCadastro
    FROM reg_tb_afastamento_unidade
    INNER JOIN tb_estabelecimento ON (reg_tb_afastamento_unidade.codigoestabelecimento_cnes=tb_estabelecimento.codigoestabelecimento_cnes)
    WHERE tb_estabelecimento.codigoestabelecimento_cnes='$idUnidade'";
    $stmAfastramento  = $rsConexao->prepare($sqlAfastramento);
    $stmAfastramento  -> execute();
    if($stmAfastramento->rowCount()>0){
      $rsAfastramento = $stmAfastramento->fetchAll(PDO::FETCH_ASSOC);
      foreach ($rsAfastramento AS $fieldAfastamento) {
        $idAfastamento      = $fieldAfastamento['id_afastamento_unidade'];
        $nomeUnidade        = $fieldAfastamento['nomeUnidade'];
        $inicioAfastramento = $fieldAfastamento['inicioAfastramento'];
        $fimAfastramento    = $fieldAfastamento['fimAfastramento'];
        $motivoAfastamento  = $fieldAfastamento['motivoAfastamento'];
        $dataHoraCadastro   = $fieldAfastamento['dataHoraCadastro'];
        $idUnidadeEditar    = $fieldAfastamento['codigoestabelecimento_cnes'];
        $dataInicioEditar   = $fieldAfastamento['datainicio_afastamento'];
        $dataFimEditar      = $fieldAfastamento['datafim_afastamento'];
        $intervaloAfastamento   = "das " . $fieldAfastamento['horaInicioAfastamento'] . " às " .$fieldAfastamento['horaFimAfastamento'];
        $horaInicioAfastamento  = $fieldAfastamento['horaInicioAfastamento'];
        $horaFimAfastamento     = $fieldAfastamento['horaFimAfastamento'];

        $esconderComando      = $fieldAfastamento['dataFimValidacao']<date("Y-m-d") ? "style='display:none'" : "";
        $corFundoDatafinal    = $fieldAfastamento['dataFimValidacao']<date("Y-m-d") ? "style='background-color: #e2aaaa !important; color: #700000'" : "";
        
        $linkEditarAfastamento	= '"editarAfastamento(' . "'$idAfastamento%%$dataInicioEditar%%$dataFimEditar%%$horaInicioAfastamento%%$horaFimAfastamento%%$motivoAfastamento')" . '"';
        $linkExcluirAfastamento	= '"excluirAfastamento(' . "'$idAfastamento','$idUnidadeEditar')" . '"';

        $htmlRetorno .= "<tr>
          <td align='center'>
              <i class='icofont icofont-edit nova_fonte' title='Editar registro de Afastamento.' $esconderComando onclick=$linkEditarAfastamento></i>&nbsp;
              <i class='icofont icofont-close-squared nova_fonte_delete' title='Excluir registro de Afastamento.' $esconderComando  onclick=$linkExcluirAfastamento></i>
          </td>
          <td align='center'>$inicioAfastramento</td>
          <td align='center'>$fimAfastramento</td>
          <td align='center'>$intervaloAfastamento</td>
          <td>$motivoAfastamento</td>
          <td align='center'>$dataHoraCadastro</td>
        </tr>"; 
      }
    }
    # -- ATUALIZAR AFASTAMENTO DA UNIDADE NA AGENDA -- #
    $sqlAtualizaAgenda = "UPDATE reg_tb_agenda_sub 
      INNER JOIN reg_tb_agenda ON (reg_tb_agenda_sub.id_agenda = reg_tb_agenda.id_agenda) 
      SET reg_tb_agenda_sub.unidade_afastada = 'N' 
      WHERE (reg_tb_agenda_sub.id_afastamento_unidade='$idAfastamentoCadastrado')";
    $stmAtualizaAgenda  = $rsConexao->prepare($sqlAtualizaAgenda);
    $stmAtualizaAgenda->execute();
    $stmAtualizaAgenda->closeCursor();

    $sqlAtualizaAgenda = "UPDATE reg_tb_agenda_sub 
      INNER JOIN reg_tb_agenda ON (reg_tb_agenda_sub.id_agenda = reg_tb_agenda.id_agenda) 
      SET reg_tb_agenda_sub.unidade_afastada = 'S', reg_tb_agenda_sub.id_afastamento_unidade='$idAfastamentoCadastrado'
      WHERE (reg_tb_agenda.codigoestabelecimento_cnes='$idUnidade') 
      AND ((concat(reg_tb_agenda_sub.ano_agenda,'-',lpad(reg_tb_agenda_sub.mes_agenda,2,'0'),'-',lpad(reg_tb_agenda_sub.dia_agenda,2,'0')) BETWEEN '$dataInicial' AND '$dataFinal')
      AND ((reg_tb_agenda_sub.horario_inicioagenda BETWEEN '$horaInicial' AND '$horaFinal') or (reg_tb_agenda_sub.horario_finalagenda BETWEEN '$horaInicial' AND '$horaFinal')))
      AND reg_tb_agenda_sub.status_agenda='A'";
      //file_put_contents('sqlTeste.sql', $sqlAtualizaAgenda);  
    $stmAtualizaAgenda  = $rsConexao->prepare($sqlAtualizaAgenda);
    $stmAtualizaAgenda->execute();

    //**************************************************** */
    echo "$existeAgendamento&&&$htmlRetorno";
    break;

  }

?>